vs.2.0

//*********************************************************
// www.Ultimategameprogramming.com
// Basic Vertex Shader used with the D3DShader1 Demo
// Created by the Programming Ace.
//
// Input Registers used:
//   v0 - The vertex position (original).
//   v1 - The vertex color (original).
//
// Output Registers used:
//   oPos - The vertex output position.
//   oD0  - The vertex output color.
//
// Constant Registers used:
//   c[0], c[1], c[2], c[3] - Model view projection matrix.
//
// Temporary Registers used:
//   r0
//*********************************************************

dcl_position v0      // This is the vertex postion (x, y, z).
dcl_color    v1      // This is the vertex color.

m4x4 r0, v0, c0      // This will translate the vertex by setting its new position.
                     // r0 is a temp register we can use to store the value.

mov oPos, r0			// Here we will move the position in r0 to our output (oPos).
mov oD0, v1				// v1 holds the original vertex color.  We will keep this.